## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLValueFunctionParse

All Superinterfaces:
  QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression, ValueExpressionAtomic, ValueExpressionFunction, XMLValueFunction

All Known Implementing Classes:
  XMLValueFunctionParseImpl

public interface XMLValueFunctionParse
extends XMLValueFunction

A representation of the model object 'XML Value Function Parse'. Generates an XML value by performing a non-validating parse of a given string expression. See ISO SQL/XML sec. 6.15.

The following features are supported:

- `Content Option`
- `Whitespace Handling Option`
- `Parse Content`

See Also:
  `SQLXMLQueryModelPackage.getXMLValueFunctionParse()`

Method Summary
`XMLContentType` `getContentOption()` Returns the value of the 'Content Option' attribute.
`XMLValueFunctionParseContent` `getParseContent()` Returns the value of the 'Parse Content' containment reference.
`XMLWhitespaceHandlingType` `getWhitespaceHandlingOption()` Returns the value of the 'Whitespace Handling Option' attribute.
`void` `setContentOption(XMLContentType value)` Sets the value of the '`Content Option`' attribute.
`void` `setParseContent(XMLValueFunctionParseContent value)` Sets the value of the '`Parse Content`' containment reference.
`void` `setWhitespaceHandlingOption(XMLWhitespaceHandlingType value)` Sets the value of the '`Whitespace Handling Option`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.ValueExpressionFunction
`getFunction, getParameterList, isColumnFunction, isDistinct, isSpecialRegister, setColumnFunction, setDistinct, setFunction, setSpecialRegister`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getContentOption

    public XMLContentType getContentOption()

  Returns the value of the 'Content Option' attribute. The literals are from the enumeration `XMLContentType`.

  If the meaning of the 'Content Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content Option' attribute.
  See Also:
    `XMLContentType`, `setContentOption(XMLContentType)`, `SQLXMLQueryModelPackage.getXMLValueFunctionParse_ContentOption()`

### setContentOption

    public void setContentOption(XMLContentType value)

  Sets the value of the '`Content Option`' attribute.

  Parameters:
    `value` - the new value of the 'Content Option' attribute.
  See Also:
    `XMLContentType`, `getContentOption()`

### getWhitespaceHandlingOption

    public XMLWhitespaceHandlingType getWhitespaceHandlingOption()

  Returns the value of the 'Whitespace Handling Option' attribute. The literals are from the enumeration `XMLWhitespaceHandlingType`.

  If the meaning of the 'Whitespace Handling Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Whitespace Handling Option' attribute.
  See Also:
    `XMLWhitespaceHandlingType`, `setWhitespaceHandlingOption(XMLWhitespaceHandlingType)`, `SQLXMLQueryModelPackage.getXMLValueFunctionParse_WhitespaceHandlingOption()`

### setWhitespaceHandlingOption

    public void setWhitespaceHandlingOption(XMLWhitespaceHandlingType value)

  Sets the value of the '`Whitespace Handling Option`' attribute.

  Parameters:
    `value` - the new value of the 'Whitespace Handling Option' attribute.
  See Also:
    `XMLWhitespaceHandlingType`, `getWhitespaceHandlingOption()`

### getParseContent

    public XMLValueFunctionParseContent getParseContent()

  Returns the value of the 'Parse Content' containment reference. It is bidirectional and its opposite is '`Value Function Parse`'.

  If the meaning of the 'Parse Content' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parse Content' containment reference.
  See Also:
    `setParseContent(XMLValueFunctionParseContent)`, `SQLXMLQueryModelPackage.getXMLValueFunctionParse_ParseContent()`, `XMLValueFunctionParseContent.getValueFunctionParse()`

### setParseContent

    public void setParseContent(XMLValueFunctionParseContent value)

  Sets the value of the '`Parse Content`' containment reference.

  Parameters:
    `value` - the new value of the 'Parse Content' containment reference.
  See Also:
    `getParseContent()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.